package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.ObjTtsMapper;
import com.goldenwater.slaj.ttsa.domain.ObjTts;
import com.goldenwater.slaj.ttsa.service.IObjTtsService;

@Service
public class ObjTtsServiceImpl implements IObjTtsService {
    @Autowired
    private ObjTtsMapper objTtsMapper;

    @Override
    public ObjTts selectObjTtsByGuid(String guid) {
        return objTtsMapper.selectObjTtsByGuid(guid);
    }

    @Override
    public List<ObjTts> selectObjTtsList(ObjTts objTts) {
        return objTtsMapper.selectObjTtsList(objTts);
    }

    @Override
    public int insertObjTts(ObjTts objTts) {
        return objTtsMapper.insertObjTts(objTts);
    }

    @Override
    public int updateObjTts(ObjTts objTts) {
        return objTtsMapper.updateObjTts(objTts);
    }

    @Override
    public int deleteObjTtsByGuid(String guid) {
        return objTtsMapper.deleteObjTtsByGuid(guid);
    }

    @Override
    public int deleteObjTtsByGuids(String[] guids) {
        return objTtsMapper.deleteObjTtsByGuids(guids);
    }
}
